import { Express } from 'express';
import { Emit, LockedData } from './types';
type FlowListResponse = {
    id: string;
    name: string;
};
type FlowStepResponse = {
    id: string;
    name: string;
    type: 'event' | 'api' | 'noop';
    description?: string;
    subscribes?: string[];
    emits: Emit[];
    action?: 'webhook';
    webhookUrl?: string;
    bodySchema?: any;
    language?: string;
    nodeComponentPath?: string;
};
type FlowResponse = FlowListResponse & {
    steps: FlowStepResponse[];
};
export declare const generateFlowsList: (flows: LockedData["flows"]) => FlowResponse[];
export declare const flowsEndpoint: (flows: LockedData["flows"], app: Express) => void;
export {};
